.timescroll{
  width: 100%;
  height: 30px;
}

.timescroll .timescrollleft{
  float: left;
  width: 35px;
  height: 100%;
}

.timescroll .timescrollright{
  float: left;
  width: 35px;
  height: 100%;
  text-align: right;
}


.timescroll .timescrollmiddle {
  float: left;
  width: calc(100% - 70px);
  height: 100%;
  overflow: hidden;
  position: relative;
}

.timescroll .timescrollmiddle .timescrollContainer{
  width: 1700px;
  position: absolute;
}


.timescroll .timescrollmiddle .timescrollContainer button{
  margin-left: 2px;
  margin-right: 2px;
}
